Bug 240370 - Many interfaces not available in Current Release- Needed for True RBAC
Summary: Many interfaces not available in Current Release- Needed for True RBAC
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-16 19:28 UTC by Daniel Walsh
Modified: 2008-02-04 21:25 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 21:25:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Walsh 2007-05-16 19:28:48 UTC
Additional interfaces required to make RBAC usefull

Interfaces for guest user and webadm

Comment 1 RHEL Product and Program Management 2007-05-16 19:44:10 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Pete Graner 2007-08-23 20:19:20 UTC
Not going to happen in RHEL5, this is a RHEL5 item. Moving there.

Comment 3 Daniel Walsh 2007-09-21 18:22:48 UTC
I think we can add these to RHEL 5.2  Most of these interfaces are in F-8 and
just need to be back ported.  These will not affect the running of domains line
unconfied_t or user_t/staff_t/sysadm_t for MLS but by adding xgues_t and guest_t
allow much finer control over users.  Also these fixes would allow java apps to
work in the MLS World.

Comment 4 RHEL Product and Program Management 2007-10-16 03:59:47 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.


Note You need to log in before you can comment on or make changes to this bug.